Paack APIs
Log In
Paack APIs

/public/v3/orders

Creates an order for Paack. One POST request creates one order.

Optionally, use the query parameters to get a base64-encoded label in the response.

Query Params
string
enum
Defaults to label

Defines the label to return in the response. Must be used along with the labelFormat query parameter.

Allowed:
string
enum
Defaults to pdf

Defines the label format. Must be used along with the include query parameter.

Allowed:
boolean
Defaults to true

Returns a 201 if the external ID already exists.

Body Params
string
required
length ≤ 128

Order's ID assigned by the retailer; unique within all the retailer's orders manifested to Paack.

Can include special characters, excluding a comma, though for further use you need to encode them.

external_id equals tracking_id.

customer
object
required

Information on the person receiving the parcels.

delivery_address
object
required

Delivery address.

expected_delivery_ts
object
required

Timeslot defined by the objects start and end.

string
length ≤ 128

Instructions for the delivery.

string
enum

Type of the delivery. Learn more here.

Allowed:
string
enum
required

Code that identifies the delivery day type, timeslot type, and available slot length. Learn more here.

parcels
array of objects

Parcels included in the order. As for barcodes, generate them in the same way for both direct and reverse orders so you can use them for tracking.

parcels
order_details
array of objects
length ≤ 1

Properties describing the order. 🚧 Currently only the string property sale_number, assigning the order a custom identifier, is persisted by Paack and can be retrieved through the GET method.

order_details
pick_up_address
object
required

Pickup address. In case of reverse orders, this is the customer's address where the Paack driver should collect the parcels.

❗expected_pick_up_ts
object

Timeslot defined by the objects start and end.

string

Instructions for the pickup.

double
≥ 0

Amount of cash on delivery. Not persisted if the value equals 0.

string
enum

Currency code in ISO 4217 format.

Allowed:
clusters
array of strings

🚧 Identifiers that associate orders with each other. Learn more here. Note that, as of now, the array cannot be retrieved through a GET request.

clusters
null

🚧 Currently input for this information is not persisted by Paack. Value equals the pickup address when retrieved through the GET method.

null

🚧 Currently input for this information is not persisted by Paack. Value equals the pickup instructions when retrieved through the GET method.

null

🚧 Currently input for this information is not persisted by Paack so it cannot be retrieved through the GET method.

null

🚧 Currently input for this information is not persisted by Paack so it cannot be retrieved through the GET method.

Responses

external_id that equals the value returned in the success.tracking_id field. The fields status and labels are returned if the request included the query parameters.

error array. Note that the response can return only one error at once.

To ensure a correct validation of a request:
- Body of the request must use a structured JSON format.
- All mandatory fields must be defined.
- Values for fields in the request must match the specific data type and format, including all limitations (e.g., external_id must be unique).

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json